# Python bindings and command line tool to the Gnocchi API

This is a client for Gnocchi. There’s a Python API (the `gnocchiclient` module), and a command-line script (installed as gnocchi). Each implements the entire Gnocchi API.

See also

You may want to read the Gnocchi documentation to get an idea of the concepts. By understanding the concepts this library and client should make more sense.

Contents:

- Installation
- The gnocchi shell utility
  - Authentication method
  - Timestamps
  - Commands descriptions
- The `gnocchiclient` Python API
  - Usage
  - Reference

# Indices and tables

- Index

- Module Index

- Search Page